Package org.eclipse.birt.report.model.api

# Class PropertyHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle
org.eclipse.birt.report.model.api.ValueHandle
org.eclipse.birt.report.model.api.SimpleValueHandle
org.eclipse.birt.report.model.api.PropertyHandleImpl
org.eclipse.birt.report.model.api.PropertyHandle

public class PropertyHandle extends PropertyHandleImpl
A handle for working with a top-level property of an element.

See Also:
  - `PropertyDefn`
  - `PropertyType`

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.PropertyHandleImpl

`propDefn`

### Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`elementHandle`

## Constructor Summary

Constructors
Constructor
Description
`PropertyHandle(DesignElementHandle element, String propName)`
Constructs the handle for a top-level property with the given element handle and property name.
`PropertyHandle(DesignElementHandle element, org.eclipse.birt.report.model.metadata.ElementPropertyDefn prop)`
Constructs the handle for a top-level property with the given element handle and the definition of the property.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isReadOnly()`
Checks whether a value is read-only in the property sheet.
`boolean`
`isVisible()`
Checks whether a value is visible in the property sheet.

### Methods inherited from class org.eclipse.birt.report.model.api.PropertyHandleImpl

`add, add, addItem, canContain, canContain, drop, drop, dropAndClear, dropAndClear, equals, getContent, getContentCount, getContents, getContext, getDefn, getItems, getListValue, getPropertyDefn, getRawValue, getReferenceableElementList, isLocal, isSet, move, move, paste, paste, paste, paste, removeItem, setEncryption, setValue, shift`

### Methods inherited from class org.eclipse.birt.report.model.api.SimpleValueHandle

`addItem, clearValue, get, getAt, getChoices, getDefaultUnit, getDisplayValue, getFloatValue, getIntValue, getNumberValue, getStringValue, getTypeCode, getValue, indexOf, insertItem, isList, iterator, moveItem, removeItem, removeItems, replaceItem, setFloatValue, setIntValue, setNumberValue, setStringValue`

### Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle

`getReference`

### Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`getDesign, getElement, getElementHandle, getModule`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropertyHandle

public PropertyHandle(DesignElementHandle element, String propName)
Constructs the handle for a top-level property with the given element handle and property name.

Parameters:
  `element` - a handle to a report element
  `propName` - the name of the property

### PropertyHandle

public PropertyHandle(DesignElementHandle element, org.eclipse.birt.report.model.metadata.ElementPropertyDefn prop)
Constructs the handle for a top-level property with the given element handle and the definition of the property.

Parameters:
  `element` - a handle to a report element
  `prop` - the definition of the property.

## Method Details

### isReadOnly

public boolean isReadOnly()
Description copied from class: `SimpleValueHandle`
Checks whether a value is read-only in the property sheet.

Overrides:
  `isReadOnly` in class `PropertyHandleImpl`
Returns:
  `true` if it is read-only. Otherwise `false`.

### isVisible

public boolean isVisible()
Description copied from class: `SimpleValueHandle`
Checks whether a value is visible in the property sheet.

Overrides:
  `isVisible` in class `PropertyHandleImpl`
Returns:
  `true` if it is visible. Otherwise `false`.